// whitespace characters
var whitespace = " \t\n\r";

// Notify user that required field theField is empty.
// String s describes expected contents of theField.value.
// Put focus in theField and return false.
function warnStringEmpty (theField, s)
{   theField.focus()
    alert("The field \"" + s + "\" must not be empty.")
    return false
}

// Notify user that required field theField is not a valid date.
// String s describes expected contents of theField.value.
// Put focus in theField and return false.
function warnDateInvalid (theField, s)
{   theField.focus()
    alert("The field \"" + s + "\" is not a valid date (must be MM/DD/YYYY).")
    return false
}


// Check whether string s is empty.
function isEmpty(s)
{   return ((s == null) || (s.length == 0))
}

// Returns true if string s is empty or whitespace characters only.
function isStringEmpty (s)
{   var i;

    // Is s empty?
    if (isEmpty(s)) return true;

    // Search through string's characters one by one
    // until we find a non-whitespace character.
    // When we do, return false; if we don't, return true.

    for (i = 0; i < s.length; i++)
    {   
        // Check that current character isn't whitespace.
        var c = s.charAt(i);

        if (whitespace.indexOf(c) == -1) return false;
    }

    // All characters are whitespace.
    return true;
}

// Returns true if the format strDate is MM/DD/YYYY.
function isDateInvalid(strDate) {
var strDateArray;
var strMonth;
var strDay;
var strYear;
var intMonth;
var intDSay;
var intYear;

if (strDate.length < 1) { return true; }

if (strDate.indexOf("/") == -1) { return true; }

strDateArray = strDate.split("/");
if (strDateArray.length != 3) { return true; }
  
strMonth = strDateArray[0];
strDay = strDateArray[1];
strYear = strDateArray[2];
    
intMonth = parseInt(strMonth, 10);
if (isNaN(intMonth)) { return true; }
if (intMonth < 1 || intMonth > 12) { return true; }
    
intDay = parseInt(strDay, 10);
if (isNaN(intDay)) { return true; }
if (intDay < 1 || intDay > 31) { return true; }
    
intYear = parseInt(strYear, 10);
if (isNaN(intYear)) { return true; }

// everything is OK
return false;
}
